Skip to content
EntitlerDocs

GET/v1/customers/{external_id}/purchase-transfers

List a customer's purchase transfers

Lists the purchases transferred to or from the customer, newest first, 50 by default and at most 100. Needs customers:read.

curl 'https://api.entitler.co/v1/customers/ada/purchase-transfers' \
  -H "Authorization: Bearer $ENTITLER_KEY"

Credentials

Send any one of these:

  • Bearer token

Path parameters

NameTypeDescription
external_idrequiredstringThe customer's external ID, or me for the customer a customer token or identity token names.

Query parameters

NameTypeDescription
target.team_idstring
target.project_idstring
target.environment_idstring
page_sizeinteger (int64)
page_tokenstring

Responses

200The ListPurchaseTransfersResponse message.

ListPurchaseTransfersResponse

  • nextPageTokenstring
  • transfersarray of PurchaseTransferrequired
    • actorcommon.Actor
      • idstringrequired
      • typecommon.ActorTyperequired

        One of ACTOR_TYPE_UNSPECIFIED, ACTOR_TYPE_USER, ACTOR_TYPE_KEY, ACTOR_TYPE_SYSTEM.

    • atintegerrequired

      at least 0; at most 18446744073709552000

    • fromExternalIdstringrequired
    • idstringrequired
    • kindPurchaseTransferKindrequired

      One of PURCHASE_TRANSFER_KIND_UNSPECIFIED, PURCHASE_TRANSFER_KIND_RESTORE, PURCHASE_TRANSFER_KIND_SUPPORT.

    • purchasePurchaseRef
      • appStoreAppStorePurchaseRef
        • connectionIdstringrequired
        • originalTransactionIdstringrequired
    • reasonstring
    • toExternalIdstringrequired

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired